Get portfolio performance history
curl --request GET \
--url https://api.itoflow.ai/portfolios/{id}/performance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/portfolios/{id}/performance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/portfolios/{id}/performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"history": [
{
"cash": "<string>",
"cumulative_return": "<string>",
"cumulative_return_reason": "<string>",
"daily_return": "<string>",
"daily_return_reason": "<string>",
"timestamp": "<string>",
"total_value": "<string>"
}
],
"portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy_periods": [
{
"period_end": "<string>",
"period_start": "<string>",
"strategy_id": "<string>",
"strategy_name": "<string>",
"strategy_version_id": "<string>",
"period_return": 123
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Portfolios
Get portfolio performance history
Returns performance history with timestamps, total value, daily/cumulative returns, and strategy attribution periods.
Operation ID: get__portfolios_id_performance.
GET
https://api.itoflow.ai
/
portfolios
/
{id}
/
performance
Get portfolio performance history
curl --request GET \
--url https://api.itoflow.ai/portfolios/{id}/performance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/portfolios/{id}/performance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/portfolios/{id}/performance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"history": [
{
"cash": "<string>",
"cumulative_return": "<string>",
"cumulative_return_reason": "<string>",
"daily_return": "<string>",
"daily_return_reason": "<string>",
"timestamp": "<string>",
"total_value": "<string>"
}
],
"portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"strategy_periods": [
{
"period_end": "<string>",
"period_start": "<string>",
"strategy_id": "<string>",
"strategy_name": "<string>",
"strategy_version_id": "<string>",
"period_return": 123
}
]
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}